/// straylava shader info ///

textures/strayspecials/straylava
{
	qer_editorimage textures/strayspecials/straylava1.jpg
	//qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 1000
	//surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks	// don't play ripple effects when shooting into water
	tesssize 256

	//cull disable
	nofog
	deformVertexes wave 64 sin 0 10 0 .3	// the chop

	waterfogvars ( 0.9 0.1 0.1 ) 128
//	waterfogvars ( 0.1 0.1 0.1 ) .005
	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
	{
		fog on
		map textures/strayspecials/straylava1.jpg
		rgbgen identity
		tcmod scale .4 .2
		tcmod scroll .0 .08
	}
{
		map textures/strayspecials/straylava2.jpg
		blendFunc GL_dst_color GL_one
	rgbgen identity
		tcmod scale -.6 .5
		tcmod scroll -.01 -.01
	}
}


//	END

textures/strayspecials/straylava2
{
	qer_editorimage textures/strayspecials/straylava1.jpg
	//qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 1000
	//surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks	// don't play ripple effects when shooting into water
	tesssize 256

	//cull disable
	nofog


	waterfogvars ( 0.9 0.1 0.1 ) 128
//	waterfogvars ( 0.1 0.1 0.1 ) .005
	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
	{
		fog on
		map textures/strayspecials/straylava1.jpg
		rgbgen identity
		tcmod scale .4 .2
		tcmod scroll .0 .08
	}
{
		map textures/strayspecials/straylava2.jpg
		blendFunc GL_dst_color GL_one
	rgbgen identity
		tcmod scale -.6 .5
		tcmod scroll -.01 -.01
	}
}

// Rain

textures/rain/rain1
{
qer_editorimage textures/rain/rain.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.000043 0.000000 -1100 sawtooth 0 1 0.000000 3
{
clampmap textures/rain/rain.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.000000 8.000000 0.000000 0.129033
rgbGen wave sawtooth 1.000000 0.000000 0.000000 0.129033
tcMod stretch sawtooth 1.000000 0.000000 0.000000 0.129033
blendfunc blend
}
}


textures/rain/rain2
{
qer_editorimage textures/rain/rain.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.000043 0.000000 -1000 sawtooth 0 1 0.200000 3
{
clampmap textures/rain/rain.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.000000 8.000000 0.200000 0.129033
rgbGen wave sawtooth 1.000000 0.000000 0.200000 0.129033
tcMod stretch sawtooth 1.000000 0.000000 0.200000 0.129033
blendfunc blend
}
}

textures/rain/rain3
{
qer_editorimage textures/rain/rain.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.000043 0.000000 -1100 sawtooth 0 1 0.400000 3
{
clampmap textures/rain/rain.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.000000 8.000000 0.400000 0.129033
rgbGen wave sawtooth 1.000000 0.000000 0.400000 0.129033
tcMod stretch sawtooth 1.000000 0.000000 0.400000 0.129033
blendfunc blend
}
}

textures/rain/rain4
{
qer_editorimage textures/rain/rain.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.000043 0.000000 -1000 sawtooth 0 1 0.600000 3
{
clampmap textures/rain/rain.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.000000 8.000000 0.600000 0.129033
rgbGen wave sawtooth 1.000000 0.000000 0.600000 0.129033
tcMod stretch sawtooth 1.000000 0.000000 0.600000 0.129033
blendfunc blend
}
}

textures/rain/rain5
{
qer_editorimage textures/rain/rain.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.000043 0.000000 -1100 sawtooth 0 1 0.800000 3
{
clampmap textures/rain/rain.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.000000 8.000000 0.800000 0.129033
rgbGen wave sawtooth 1.000000 0.000000 0.800000 0.129033
tcMod stretch sawtooth 1.000000 0.000000 0.800000 0.129033
blendfunc blend
}
}

// startrek teleporter

models/mapobjects/el_tele/el_tele
{
    q3map_surfacelight 1000
    surfaceparm nomarks
     
    {
        map models/mapobjects/el_tele/el_tele.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map models/mapobjects/el_tele/el_tele_blend.tga
        blendfunc add
       rgbGen wave sin 0.5 0.5 0 1
    }
}
 models/mapobjects/el_tele/beam
{
       surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull none
    q3map_lightimage models/mapobjects/el_tele/beam.tga
    q3map_surfacelight 800
    {
      map models/mapobjects/el_tele/beam.tga
        blendfunc add
        rgbGen wave sin 0 1 0 1
        tcMod scroll 0 1
       }
    {
        map models/mapobjects/el_tele/beam_fx2.tga
        blendfunc add
       rgbGen wave sin 0 1 0 1
    }
       {
      map models/mapobjects/el_tele/beam_fx.tga
        blendfunc add
        rgbGen wave sin 0 1 0 1
        tcMod scroll 0 2
       }
}

// wolfhead

models/mapobjects/wolfhead/wolf_m
{      
	{
		map models/mapobjects/wolfhead/wolf_m.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
	} 
	{
		map textures/sfx/firewalla.tga
		blendFunc GL_ONE GL_ONE
		tcmod scroll 0.1 1
	}  
	{
		map models/mapobjects/wolfhead/wolf_m.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

models/mapobjects/wolfhead/wolf_h
{      
	{
		map models/mapobjects/wolfhead/wolf_fx.jpg
		tcmod scroll 1 -2
		blendfunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map models/mapobjects/wolfhead/wolf_h.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

// ember

textures/props/torch_ember
{
	qer_editorimage textures/props/torch_ember.tga
	surfaceparm woodsteps
	{
		map textures/props/ember1a.tga
		tcmod rotate 3
		rgbGen wave sin 1 0.5 0 0.5 
	}
	{
		map textures/props/torch_ember.tga
		blendfunc blend
		rgbGen lightingdiffuse
	}
}

// END
